params ["_type","_class"];

_veh = CursorTarget;

_engineEH = _veh getVariable ["EngineEH",-1];
	if (_engineEH isEqualTo -1) then {
		_engineEH = _veh addEventHandler ["Engine",{
		params ["_veh","_engineState"];
		If (_engineState) then {
		[_veh] remoteExec ['REV_fnc_engine',driver _veh];
		};
	}];
	_veh setVariable ["EngineEH",_engineEH];
};

switch (_type) do
{
	case "Intake": 
	{
		switch (_class) do {
			case 1: 
			{
				hint "Der Stock Intake wurde Verbaut";
				switch (_veh getVariable ["Intake",1]) do {
					case 2: {
						_action = ["Intake2","Sports Intake","",{["Intake",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
						[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "IntakeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
					};
					case 3: {
						_action = ["Intake2","Sports Intake","",{["Intake",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
						[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "IntakeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
						_action = ["Intake3","Performance Intake","",{["Intake",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
						[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "IntakeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
					};			
					case 4: {
						_action = ["Intake2","Sports Intake","",{["Intake",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
						[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "IntakeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
						_action = ["Intake3","Performance Intake","",{["Intake",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
						[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "IntakeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
						_action = ["Intake4","Race Intake","",{["Intake",4] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
						[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "IntakeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
					};
				};
				_veh setVariable ["Intake",1];
			};
			case 2: 
			{
				_veh setVariable ["Intake",2];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","IntakeTuning","Intake2"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Sport Intake wurde Verbaut";
			};
			case 3: 
			{
				_veh setVariable ["Intake",3];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","IntakeTuning","Intake2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","IntakeTuning","Intake3"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Performance Intake wurde Verbaut";
			};
			case 4: 
			{
				_veh setVariable ["Intake",4];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","IntakeTuning","Intake2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","IntakeTuning","Intake3"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","IntakeTuning","Intake4"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Race Intake wurde Verbaut";
			};
		};
	};
	
	case "Auspuff": 
	{
		switch (_class) do {
		case 1: 
			{
				switch (_veh getVariable ["Auspuff",1]) do {
				case 2: {
				_action = ["Auspuff2","Sports Auspuff","",{["Auspuff",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AuspuffTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				case 3: {
				_action = ["Auspuff2","Sports Auspuff","",{["Auspuff",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AuspuffTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Auspuff3","Performance Auspuff","",{["Auspuff",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AuspuffTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};			
				case 4: {
				_action = ["Auspuff2","Sports Auspuff","",{["Auspuff",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AuspuffTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Auspuff3","Performance Auspuff","",{["Auspuff",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AuspuffTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Auspuff4","Race Auspuff","",{["Auspuff",4] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AuspuffTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				};
				_veh setVariable ["Auspuff",1];
			};
			case 2: 
			{
				_veh setVariable ["Auspuff",2];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AuspuffTuning","Auspuff2"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Sport Auspuff wurde Verbaut";
			};
			case 3: 
			{
				_veh setVariable ["Auspuff",3];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AuspuffTuning","Auspuff2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AuspuffTuning","Auspuff3"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Performance Auspuff wurde Verbaut";
			};
			case 4: 
			{
				_veh setVariable ["Auspuff",4];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AuspuffTuning","Auspuff2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AuspuffTuning","Auspuff3"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AuspuffTuning","Auspuff4"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Race Auspuff wurde Verbaut";
			};
		};
	};
	
	case "ECM": 
	{
		switch (_class) do {
		case 1: 
			{
				switch (_veh getVariable ["ECM",1]) do {
				case 2: {
				_action = ["ECM2","Sports ECM","",{["ECM",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ECMTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				case 3: {
				_action = ["ECM2","Sports ECM","",{["ECM",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ECMTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["ECM3","Performance ECM","",{["ECM",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ECMTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};			
				case 4: {
				_action = ["ECM2","Sports ECM","",{["ECM",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ECMTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["ECM3","Performance ECM","",{["ECM",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ECMTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["ECM4","Race ECM","",{["ECM",4] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ECMTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				};
				_veh setVariable ["ECM",1];

			};
			case 2: 
			{
				_veh setVariable ["ECM",2];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ECMTuning","ECM2"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Sport ECM wurde Verbaut";
			};
			case 3: 
			{
				_veh setVariable ["ECM",3];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ECMTuning","ECM2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ECMTuning","ECM3"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Performance ECM wurde Verbaut";
			};
			case 4: 
			{
				_veh setVariable ["ECM",4];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ECMTuning","ECM2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ECMTuning","ECM3"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ECMTuning","ECM4"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Race ECM wurde Verbaut";
			};
		};
	};
	
	case "Zuendkerze": 
	{
		switch (_class) do {
		case 1: 
			{
				switch (_veh getVariable ["Zuendkerze",1]) do {
				case 2: {
				_action = ["Zuendkerze2","Sports Zuendkerze","",{["Zuendkerze",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZuendkerzeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				case 3: {
				_action = ["Zuendkerze2","Sports Zuendkerze","",{["Zuendkerze",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZuendkerzeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Zuendkerze3","Performance Zuendkerze","",{["Zuendkerze",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZuendkerzeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};			
				case 4: {
				_action = ["Zuendkerze2","Sports Zuendkerze","",{["Zuendkerze",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZuendkerzeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Zuendkerze3","Performance Zuendkerze","",{["Zuendkerze",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZuendkerzeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Zuendkerze4","Race Zuendkerze","",{["Zuendkerze",4] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZuendkerzeTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				};
				_veh setVariable ["Zuendkerze",1];
			};
			case 2: 
			{
				_veh setVariable ["Zuendkerze",2];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZuendkerzeTuning","Zuendkerze2"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Sport Zuendkerze wurde Verbaut";
			};
			case 3: 
			{
				_veh setVariable ["Zuendkerze",3];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZuendkerzeTuning","Zuendkerze2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZuendkerzeTuning","Zuendkerze3"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Performance Zuendkerze wurde Verbaut";
			};
			case 4: 
			{
				_veh setVariable ["Zuendkerze",4];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZuendkerzeTuning","Zuendkerze2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZuendkerzeTuning","Zuendkerze3"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZuendkerzeTuning","Zuendkerze4"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Race Zuendkerze wurde Verbaut";
			};
		};
	};
	
	case "Motorblock": 
	{
		switch (_class) do {
		case 1: 
			{
				switch (_veh getVariable ["Motorblock",1]) do {
				case 2: {
				_action = ["Motorblock2","Sports Motorblock","",{["Motorblock",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "MotorblockTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				case 3: {
				_action = ["Motorblock2","Sports Motorblock","",{["Motorblock",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "MotorblockTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Motorblock3","Performance Motorblock","",{["Motorblock",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "MotorblockTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};			
				case 4: {
				_action = ["Motorblock2","Sports Motorblock","",{["Motorblock",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "MotorblockTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Motorblock3","Performance Motorblock","",{["Motorblock",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "MotorblockTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Motorblock4","Race Motorblock","",{["Motorblock",4] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "MotorblockTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				};
				_veh setVariable ["Motorblock",1];
			};
			case 2: 
			{
				_veh setVariable ["Motorblock",2];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","MotorblockTuning","Motorblock2"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Sport Motorblock wurde Verbaut";
			};
			case 3: 
			{
				_veh setVariable ["Motorblock",3];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","MotorblockTuning","Motorblock2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","MotorblockTuning","Motorblock3"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Performance Motorblock wurde Verbaut";
			};
			case 4: 
			{
				_veh setVariable ["Motorblock",4];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","MotorblockTuning","Motorblock2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","MotorblockTuning","Motorblock3"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","MotorblockTuning","Motorblock4"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Race Motorblock wurde Verbaut";
			};
		};
	};
	
	case "Turbolader": 
	{
		switch (_class) do {
		case 1: 
			{
				switch (_veh getVariable ["Turbolader",1]) do {
				case 2: {
				_action = ["Turbolader2","Sports Turbolader","",{["Turbolader",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "TurboladerTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				case 3: {
				_action = ["Turbolader2","Sports Turbolader","",{["Turbolader",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "TurboladerTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Turbolader3","Performance Turbolader","",{["Turbolader",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "TurboladerTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};			
				case 4: {
				_action = ["Turbolader2","Sports Turbolader","",{["Turbolader",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "TurboladerTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Turbolader3","Performance Turbolader","",{["Turbolader",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "TurboladerTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Turbolader4","Race Turbolader","",{["Turbolader",4] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "TurboladerTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				};
				_veh setVariable ["Turbolader",1];
			};
			case 2: 
			{
				_veh setVariable ["Turbolader",2];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","TurboladerTuning","Turbolader2"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Sport Turbolader wurde Verbaut";
			};
			case 3: 
			{
				_veh setVariable ["Turbolader",3];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","TurboladerTuning","Turbolader2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","TurboladerTuning","Turbolader3"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Performance Turbolader wurde Verbaut";
			};
			case 4: 
			{
				_veh setVariable ["Turbolader",4];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","TurboladerTuning","Turbolader2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","TurboladerTuning","Turbolader3"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","TurboladerTuning","Turbolader4"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Race Turbolader wurde Verbaut";
			};
		};
	};
	
	case "Zylinder": 
	{
		switch (_class) do {
		case 1: 
			{
				switch (_veh getVariable ["Zylinder",1]) do {
				case 2: {
				_action = ["Zylinder2","Sports Zylinder","",{["Zylinder",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZylinderTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				case 3: {
				_action = ["Zylinder2","Sports Zylinder","",{["Zylinder",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZylinderTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Zylinder3","Performance Zylinder","",{["Zylinder",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZylinderTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};			
				case 4: {
				_action = ["Zylinder2","Sports Zylinder","",{["Zylinder",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZylinderTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Zylinder3","Performance Zylinder","",{["Zylinder",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZylinderTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Zylinder4","Race Zylinder","",{["Zylinder",4] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "ZylinderTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				};
				_veh setVariable ["Zylinder",1];
			};
			case 2: 
			{
				_veh setVariable ["Zylinder",2];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZylinderTuning","Zylinder2"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Sport Zylinder wurde Verbaut";
			};
			case 3: 
			{
				_veh setVariable ["Zylinder",3];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZylinderTuning","Zylinder2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZylinderTuning","Zylinder3"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Performance Zylinder wurde Verbaut";
			};
			case 4: 
			{
				_veh setVariable ["Zylinder",4];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZylinderTuning","Zylinder2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZylinderTuning","Zylinder3"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","ZylinderTuning","Zylinder4"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Race Zylinder wurde Verbaut";
			};
		};
	};
	
	case "Ansaugung": 
	{
		switch (_class) do {
		case 1: 
			{
				switch (_veh getVariable ["Ansaugung",1]) do {
				case 2: {
				_action = ["Ansaugung2","Sports Ansaugung","",{["Ansaugung",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AnsaugungTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				case 3: {
				_action = ["Ansaugung2","Sports Ansaugung","",{["Ansaugung",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AnsaugungTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Ansaugung3","Performance Ansaugung","",{["Ansaugung",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AnsaugungTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};			
				case 4: {
				_action = ["Ansaugung2","Sports Ansaugung","",{["Ansaugung",2] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AnsaugungTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Ansaugung3","Performance Ansaugung","",{["Ansaugung",3] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AnsaugungTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				_action = ["Ansaugung4","Race Ansaugung","",{["Ansaugung",4] call REV_fnc_tune},{true}] call ace_interact_menu_fnc_createAction;
				[cursorTarget, 0, ["ACE_MainActions", "Tuning" , "EngineTuning" , "AnsaugungTuning"], _action, true] call ace_interact_menu_fnc_addActionToObject;
				};
				};
				_veh setVariable ["Ansaugung",1];
			};
			case 2: 
			{
				_veh setVariable ["Ansaugung",2];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AnsaugungTuning","Ansaugung2"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Sport Ansaugung wurde Verbaut";
			};
			case 3: 
			{
				_veh setVariable ["Ansaugung",3];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AnsaugungTuning","Ansaugung2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AnsaugungTuning","Ansaugung3"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Performance Ansaugung wurde Verbaut";
			};
			case 4: 
			{
				_veh setVariable ["Ansaugung",4];
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AnsaugungTuning","Ansaugung2"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AnsaugungTuning","Ansaugung3"]] call ace_interact_menu_fnc_removeActionFromObject;
				[cursorTarget,0,["ACE_MainActions","Tuning","EngineTuning","AnsaugungTuning","Ansaugung4"]] call ace_interact_menu_fnc_removeActionFromObject;
				hint "Der Race Ansaugung wurde Verbaut";
			};
		};
	};
	
	case "Getriebe": 
	{
		_speed = _veh getvariable["MaxSpeed",0];
		switch (_class) do {
			case 1: 
			{
				_speed = _speed + 0.1;
				_veh setVariable ["Getriebe",1];
			};
			case 2: 
			{
				_speed = _speed + 0.2;
				_veh setVariable ["Getriebe",1];
			};
			case 3: 
			{
				_speed = _speed + 0.3;
				_veh setVariable ["Getriebe",1];
			};
			case 4: 
			{
				_speed = _speed + 0.4;
				_veh setVariable ["Getriebe",1];
			};
		};
		_veh setVariable ["MaxSpeed",_speed];
	};
	
	case "Gewichtsreduktions": 
	{
		_mass = _veh getvariable["MassRed",0];
		switch (_class) do {
			case 1: 
			{
				_mass = _mass + 5;
				_veh setVariable ["MassRed",1];
				hint "test1";
			};
			case 2: 
			{
				_mass = _mass + 10;
				_veh setVariable ["MassRed",2];
				hint "test2";
			};
			case 3: 
			{
				_mass = _mass + 15;
				_veh setVariable ["MassRed",3];
				hint "test3";
			};
			case 4: 
			{
				_mass = _mass + 20;
				_veh setVariable ["MassRed",4];
				hint "test4";
			};
		};
		_massm = _veh getVariable["Mass",1];
		
		_mass = getMass _veh;
		_mass = _mass * (_massm / 2);
		_veh setMass [_mass,0];
		_veh setVariable ["Mass",_mass];
	};
	
	case "Fahrwerk": 
	{
		_grip = _veh getvariable["MaxGrip",0];
		switch (_class) do {
			case 1: 
			{
				_grip = _grip + 5;
				_veh setVariable ["Fahrwerk",1];
			};
			case 2: 
			{
				_grip = _grip + 10;
				_veh setVariable ["Fahrwerk",2];
			};
			case 3: 
			{
				_grip = _grip + 15;
				_veh setVariable ["Fahrwerk",3];
			};
			case 4: 
			{
				_grip = _grip + 20;
				_veh setVariable ["Fahrwerk",4];
			};
		};
		_veh setVariable ["MaxGrip",_grip];
		call REV_fnc_downforce;
	};
	
	case "Reifen": 
	{
		_grip = _veh getvariable["MaxGrip",0];
		switch (_class) do {
			case 1: 
			{
				_grip = _grip + 5;
				_veh setVariable ["Tire",1];
			};
			case 2: 
			{
				_grip = _grip + 10;
				_veh setVariable ["Tire",2];
			};
			case 3: 
			{
				_grip = _grip + 15;
				_veh setVariable ["Tire",3];
			};
			case 4: 
			{
				_grip = _grip + 20;
				_veh setVariable ["Tire",4];
			};
		};
		_veh setVariable ["MaxGrip",_grip];
		call REV_fnc_downforce;
	};
	
	case "Brakes": 
	{
		_brake = _veh getvariable["Brakes",0];
		switch (_class) do {
			case 1: 
			{
				_brake = _brake + 1;
				_veh setVariable ["Brakes",1];
			};
			case 2: 
			{
				_brake = _brake + 2;
				_veh setVariable ["Brakes",2];
			};
			case 3: 
			{
				_brake = _brake + 3;
				_veh setVariable ["Brakes",3];
			};
			case 4: 
			{
				_brake = _brake + 4;
				_veh setVariable ["Brakes",4];
			};
		};
		_veh setVariable ["Brakes",_brake];
	};
};